RPMLINT report items: apache-SizeLimit

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

RPMLINT report items: apache-SizeLimit

doiggl
Hello,
What specfile changes resolves these items ?
Thanks
--Glenn


[   36s] RPMLINT report:
[   36s] ===============
[   37s] (none): E: badness 50000 exceeds threshold 1000, aborting.
[   37s] Apache-SizeLimit.noarch: E: suse-filelist-forbidden-noarch
(Badness: 10000)
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/auto/Apache2 is
not allowed in a noarch package
[   37s] Apache-SizeLimit.noarch: E: suse-filelist-forbidden-noarch
(Badness: 10000)
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/auto/Apache2/SizeLimit/.packlist
is not allowed in a noarch package
[   37s] Apache-SizeLimit.noarch: E: suse-filelist-forbidden-noarch
(Badness: 10000)
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/auto is not
allowed in a noarch package
[   37s] Apache-SizeLimit.noarch: E: suse-filelist-forbidden-noarch
(Badness: 10000)
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/auto/Apache2/SizeLimit
is not allowed in a noarch package
[   37s] Apache-SizeLimit.noarch: W: perl5-naming-policy-not-applied
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/auto/Apache2
[   37s] This package doesn't respect the naming policy for perl5
packages. Its name
[   37s] should match the regular expression ^perl(-|$).
[   37s]
[   37s] Apache-SizeLimit.noarch: W: no-dependency-on perl-base 5.20.1
[   37s] Apache-SizeLimit.noarch: W: invalid-license Apache v2.0
[   37s] Apache-SizeLimit.src: W: invalid-license Apache v2.0
[   37s] The specified license string is not recognized. Please refer to
[   37s] http://license.opensuse.org/ for the list of known licences and
their exact
[   37s] spelling.
[   37s]
[   37s] Apache-SizeLimit.noarch: E: file-contains-buildroot (Badness:
10000)
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/auto/Apache2/SizeLimit/.packlist
[   37s] Your file contains traces of $RPM_BUILD_ROOT.
[   37s]
[   37s] 2 packages and 0 specfiles checked; 5 errors, 4 warnings.
[   37s]
[   37s] ### WATCHDOG MARKER START ###
[   40s] [   30.508232] SysRq : Power Off
[   40s] [   30.528491] reboot: Power down
[   42s] ### WATCHDOG MARKER END ###


-Added to spec file:
BuildRequires:  apache2-mod_perl
BuildRequires:  apache2-devel

links:
-----
https://build.opensuse.org/package/show/home:doiggl/apache-SizeLimit
https://build.opensuse.org/package/live_build_log/home:doiggl/apache-SizeLimit/openSUSE_13.2/x86_64
https://build.opensuse.org/package/view_file/home:doiggl/apache-SizeLimit/Apache-SizeLimit.spec?expand=1

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: RPMLINT report items: apache-SizeLimit

Dominique Leuenberger / DimStar
On Fri, 2015-04-10 at 21:19 +1000, [hidden email] wrote:

> Hello,
> What specfile changes resolves these items ?
> Thanks
> --Glenn
>
>
> [   36s] RPMLINT report:
> [   36s] ===============
> [   37s] (none): E: badness 50000 exceeds threshold 1000, aborting.
> [   37s] Apache-SizeLimit.noarch: E: suse-filelist-forbidden-noarch
> (Badness: 10000)
> /usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-
> multi/auto/Apache2 is
> not allowed in a noarch package
Glenn,

you really have to read the messages the system gives you...

in this case: "file xxx is not allowed in a noarch package"
=> don't create a noarch package, so remove "BuildArch: noarch" from
the .spec file.

Dominique
--
Dimstar / Dominique Leuenberger <[hidden email]>

signature.asc (188 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: RPMLINT report items: apache-SizeLimit

Jason Craig-3
In reply to this post by doiggl
On 04/10/2015 05:19 AM, [hidden email] wrote:
> Hello,
> What specfile changes resolves these items ?
> Thanks
> --Glenn
>

Besides what Dominique said, the warnings also probably ought not be
ignored:

> [   37s] Apache-SizeLimit.noarch: W: perl5-naming-policy-not-applied
> /usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/auto/Apache2
> [   37s] This package doesn't respect the naming policy for perl5
> packages. Its name
> [   37s] should match the regular expression ^perl(-|$).
> [   37s]
> [   37s] Apache-SizeLimit.noarch: W: no-dependency-on perl-base 5.20.1
> [   37s] Apache-SizeLimit.noarch: W: invalid-license Apache v2.0
> [   37s] Apache-SizeLimit.src: W: invalid-license Apache v2.0
> [   37s] The specified license string is not recognized. Please refer to
> [   37s] http://license.opensuse.org/ for the list of known licences and
> their exact
> [   37s] spelling.

The first one: your package name should start with perl- if it is a perl
package. Second one: you don't have a dependency to perl-base when you
should for a perl package. Third: the license name should be changed.
Look at the the specified link to find the standardized name that
corresponds to the license "Apache v2.0".

--
Jason Craig
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]